import { jsx } from "react/jsx-runtime";
import { PulseIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Pulse = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "Pulse", ...props, children: /* @__PURE__ */ jsx(PulseIcon, { weight: variant }) });
  }
);
Pulse.displayName = "Pulse";
Object.assign(Pulse, { isGdsIcon: true });
export {
  Pulse
};
